This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 216539 - xmaxima can't open socket
xmaxima can't open socket
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: maxima (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On: 216884
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 18:25 EST by Bjoern
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:53:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bjoern 2006-11-20 18:25:27 EST
Description of problem:

I can use maxima in the console, but if i start xmaxima i get this error message:

Maxima 5.10.0 http://maxima.sourceforge.net
Using Lisp GNU Common Lisp (GCL) GCL 2.6.7 (aka GCL)
Distributed under the GNU Public License. See the file COPYING.
Dedicated to the memory of William Schelter.
This is a development version of Maxima. The function bug_report()
provides bug reporting information.
(%i1) jfa: starting server on port 4008
couldn't open socket:


Installed packages:
maxima 5.10.0-8.fc6.i386
maxima-gui 5.10.0-8.fc6.i386
maxima-runtime-gcl 5.10.0-8.fc6.i386
Comment 1 Rex Dieter 2006-11-22 09:59:21 EST
Looks like we're not alone, Ubuntu has the same problem:
https://launchpad.net/distros/ubuntu/dapper/+source/gcl/+bug/43150

Their recommendations were to use a different maxima-runtime (one of
maxima-runtime-clisp, maxima-runtime-cmucl, maxima-runtime-sbcl).
Comment 3 Rex Dieter 2006-11-22 10:08:33 EST
Once gcl is fixed (see bug #216884), we can/will respin a fixed
maxima-runtime-gcl package.
Comment 4 Gérard Milmeister 2006-11-22 11:11:55 EST
Strange, I cannot reproduce the bug on FC6 with the same versions...
Comment 5 Rex Dieter 2006-11-28 13:09:19 EST
Now that I have my fc6 box handy again, I can confirm Gerard's findings that I'm
unable to reproduce the problem.  

Bjoern, do you have any other hints to help us reproduce the problem you're seeing?
Comment 6 Arthur Dickinson 2006-12-11 22:55:19 EST
I have this same problem on both of my fc6 systems.
System1: x86-64, maxima on sbcl.
System2: i686, maxima on cmucl.

The cmucl error message is more informative: unknown host:"localhost".
The host command has no problem getting the ip for localhost, but
the /etc/hosts file only lists "::1". Replacing this with "127.0.0.1"
allows xmaxima to work.
Sbcl only reports host-not-found, but does not give the host name
it was looking for.  The same trick with the hosts file allows
maxima to run.
Comment 7 Rex Dieter 2006-12-11 23:12:56 EST
OK, this sounds like an ipv6'ism.  On my fc6 box (that works), I have
127.0.0.1 localhost.localdomain localhost
::1 localhost.localdomain localhost

So, you're saying that if the ipv4 entry for localhost is missing, then xmaxima
borks?  (I'm not necessarily surprised).

Now, how/why is the ipv4 localhost entry missing?  I'd argue that is the bug here.
Comment 8 Arthur Dickinson 2006-12-12 00:11:09 EST
Both fc6 systems are fresh install so the hosts file is the one
left by the installer. Looking at the error message from sbcl, I
see that error was reported by the gethostbyname library function.
From the command line, host localhost returns both the ipv4 and
ipv6 address.  I believe that other apps have had problems
which were fixed by adding the ipv4 entry, the problem does not
seem to be with maxima.
The problem seems to be either the installer or the gethostbyname
library function.  Fixing the hosts file would seem to be the
simplest fix.
Comment 9 Arthur Dickinson 2006-12-12 11:23:38 EST
The problem with the hosts file is caused by system-config-network (BZ 214932).
Comments for that bug note that if the ipv4 address is listed first,
system-config-network will not remove it.
Comment 10 Bug Zapper 2008-04-04 00:49:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 12:53:10 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.